DBIx::Class::Storage::DBI::Sybase::Microsoft_SQL_Server(3)

NAME
DBIx::Class::Storage::DBI::Sybase::Microsoft_SQL_Server - Support for Microsoft SQL Server via DBD::Sybase

SYNOPSIS
This subclass supports MSSQL server connections via DBD::Sybase.

DESCRIPTION
This driver tries to determine whether your version of DBD::Sybase and supporting libraries (usually FreeTDS) support using placeholders, if not the storage will be reblessed to DBIx::Class::Storage::DBI::Sybase::Microsoft_SQL_Server::NoBindVars.

The MSSQL specific functionality is provided by DBIx::Class::Storage::DBI::MSSQL.

METHODS

  connect_call_datetime_setup
Used as:

  on_connect_call => 'datetime_setup'

In connect_info to set:

  $dbh->syb_date_fmt('ISO_strict'); # output fmt: 2004-08-21T14:36:48.080Z

On connection for use with DBIx::Class::InflateColumn::DateTime

This works for both "DATETIME" and "SMALLDATETIME" columns, although "SMALLDATETIME" columns only have minute precision.

AUTHOR
See "CONTRIBUTORS" in DBIx::Class.

LICENSE
You may distribute this code under the same terms as Perl itself.